# Created by pyp2rpm-3.3.2
%global pypi_name pysol-cards

Name:           python-%{pypi_name}
Version:        0.10.1
Release:        %mkrel 1
Summary:        Deal PySol FC Cards
Group:          Development/Python
License:        MIT
URL:            https://fc-solve.shlomifish.org/
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/pysol_cards-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildConflicts: python3dist(coverage) = 4.4
BuildRequires:  python3dist(coverage) >= 4.0
BuildRequires:  python3dist(pbr)
BuildRequires:  python3dist(pbr) >= 2.0
BuildRequires:  python3dist(python-subunit) >= 0.0.18
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(six)
BuildRequires:  python3dist(testtools) >= 1.4.0
BuildRequires:  python3dist(sphinx)

%description
The pysol-cards python modules allow the python developer to generate the
initial deals of some PySol FC games.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
The pysol-cards python modules allow the python developer to generate the
initial deals of some PySol FC games.

%prep
%autosetup -n pysol_cards-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
# Must do the default python version install last because
# the scripts in /usr/bin are overwritten with every setup.py install.
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst doc/source/readme.rst
%{python3_sitelib}/pysol_cards
%{python3_sitelib}/pysol_cards-%{version}-py?.?.egg-info


%changelog
* Sun Jun 14 2020 shlomif <shlomif> 0.10.1-1.mga8
+ Revision: 1593276
- New version 0.10.1

* Wed Jun 03 2020 cheeseeboi <cheeseeboi> 0.8.18-1.mga8
+ Revision: 1590180
- Updated to version 0.8.18

* Mon Apr 20 2020 shlomif <shlomif> 0.8.9-1.mga8
+ Revision: 1570065
- New version 0.8.9

* Sun Mar 08 2020 shlomif <shlomif> 0.8.8-1.mga8
+ Revision: 1554860
- New version 0.8.8

* Fri Feb 21 2020 umeabot <umeabot> 0.8.7-3.mga8
+ Revision: 1547790
- Mageia 8 Mass Rebuild

* Mon Feb 10 2020 shlomif <shlomif> 0.8.7-2.mga8
+ Revision: 1488378
- remove unused dep

* Sun Dec 22 2019 shlomif <shlomif> 0.8.7-1.mga8
+ Revision: 1469476
- New version 0.8.7

* Wed Oct 16 2019 daviddavid <daviddavid> 0.8.6-2.mga8
+ Revision: 1453981
- rebuild for python3.8

* Tue Sep 10 2019 shlomif <shlomif> 0.8.6-1.mga8
+ Revision: 1439474
- New version 0.8.6

* Mon Jul 29 2019 shlomif <shlomif> 0.8.4-1.mga8
+ Revision: 1424820
- New version 0.8.4

* Fri Jul 26 2019 shlomif <shlomif> 0.8.3-1.mga8
+ Revision: 1424389
- New version 0.8.3

* Thu Jul 18 2019 shlomif <shlomif> 0.8.0-1.mga8
+ Revision: 1422611
- New version 0.8.0

* Sat Jun 15 2019 shlomif <shlomif> 0.6.2-1.mga8
+ Revision: 1399955
- New version 0.6.2

* Wed Jun 05 2019 shlomif <shlomif> 0.6.1-1.mga7
+ Revision: 1399583
- New version 0.6.1

* Thu May 23 2019 shlomif <shlomif> 0.4.3-1.mga7
+ Revision: 1398970
- New version 0.4.3 with fixes

* Thu May 23 2019 shlomif <shlomif> 0.4.1-3.mga7
+ Revision: 1398954
- Fix grammar

* Mon Mar 18 2019 shlomif <shlomif> 0.4.1-2.mga7
+ Revision: 1378513
- fix build and descriptions

* Sat Feb 16 2019 shlomif <shlomif> 0.4.1-1.mga7
+ Revision: 1367599
- fix the build
- pyp2rpm

